<!--
  Generated template for the DsDetailTransaksiPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->

<ion-header>
	<ion-navbar color="haldin-header">
	   <ion-title>detail transaksi</ion-title>
	 </ion-navbar>
   </ion-header>
   
   
   <ion-content>	
	   <div style="overflow-x:auto;">
		 <table>
		   <tr>
			 <th>Produk</th>
			 <th>Harga</th>
			 <th>Qty</th>
			 <th>Berat</th>
			 <th>Total</th>
		   </tr>
		   <tr *ngFor="let p of data_item">
				 <td>{{ p.product_name }}</td>
				 <td>{{ p.price | currency : "Rp." : 0 }}</td>
				 <td>{{ p.quantity }}</td>
				 <td>{{ p.packaging_size_name }}</td>
				 <td>{{ p.quantity * p.price | currency : "Rp." : 0  }} </td>
		   </tr>
			<tr>
			   <th colspan="4" style="text-align: right;">Biaya Pengiriman : </th>
			   <th style="text-align: right;">{{ data_cost | currency : "Rp." : 0  }}</th>
		   </tr>
		   <tr>
			   <th colspan="4" style="text-align: right;">Grand Total : </th>
			   <th style="text-align: right;">{{ total_sum  | currency : "Rp." : 0 }}</th>
		   </tr>
		 </table>
	   </div>
   
	   <a href="#" ion-button block outline (click)="opendata()">Cetak Invoice</a>
   </ion-content>
   